summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTupone Alfredo <tupone@gentoo.org>2019-10-18 14:42:38 +0200
committerTupone Alfredo <tupone@gentoo.org>2019-10-18 14:42:38 +0200
commit3984f64515bfe2a0f838df25512e6b383e2ec1e3 (patch)
tree3d45ddbfa5fc64ecab49488b624f911b84199436 /dev-tcltk/togl/togl-2.0-r3.ebuild
parentapp-portage/perl-info: fix install, bug 697942 (diff)
downloadgentoo-3984f64515bfe2a0f838df25512e6b383e2ec1e3.tar.gz
gentoo-3984f64515bfe2a0f838df25512e6b383e2ec1e3.tar.bz2
gentoo-3984f64515bfe2a0f838df25512e6b383e2ec1e3.zip
dev-tcltk/togl: EAPI 7
Package-Manager: Portage-2.3.69, Repoman-2.3.16 Signed-off-by: Alfredo Tupone <tupone@gentoo.org>
Diffstat (limited to 'dev-tcltk/togl/togl-2.0-r3.ebuild')
-rw-r--r--dev-tcltk/togl/togl-2.0-r3.ebuild46
1 files changed, 46 insertions, 0 deletions
diff --git a/dev-tcltk/togl/togl-2.0-r3.ebuild b/dev-tcltk/togl/togl-2.0-r3.ebuild
new file mode 100644
index 00000000000..5791c04242e
--- /dev/null
+++ b/dev-tcltk/togl/togl-2.0-r3.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MY_P=Togl${PV}
+
+DESCRIPTION="A Tk widget for OpenGL rendering"
+HOMEPAGE="http://togl.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${MY_P}-src.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="debug +threads"
+
+RDEPEND="
+ dev-lang/tk:*
+ virtual/opengl
+ x11-libs/libXmu"
+DEPEND="${RDEPEND}"
+
+# tests directory is missing
+RESTRICT="test"
+
+S=${WORKDIR}/${MY_P}
+
+src_prepare() {
+ default
+ sed \
+ -e 's:-fomit-frame-pointer::g' \
+ -e 's:-O2::g' \
+ -e 's:-pipe::g' \
+ -i configure || die
+}
+
+src_configure() {
+ econf \
+ $(use_enable debug symbols) \
+ $(use_enable threads)
+}
+
+src_install() {
+ HTML_DOCS=( doc/* )
+ default
+}